Skip to main content

Get all Price Books

GET 

/pcm/pricebooks

Retrieves a list of all price books.

Filtering​

Filtering is supported on this endpoint. For the general syntax, see Filtering.

You can filter on the following attributes and operators.

OperatorAttributeDescriptionExample
eqexternal_ref, name, idEquals. Checks if the values you provide matches a price book.filter=eq(external_ref,some-external-ref)
likenameLike. Checks if the operand contains the specified string. Wildcards are supported. Matching is case sensitive.filter=like(name,*Standard*)
ilikenameLike, ignoring case. Checks if the operand contains the specified string, in any combination of upper and lower case. Wildcards are supported.filter=ilike(name,*standard*)
inidIn. Checks if the values are included in the specified list. If they are, the condition is true.filter=in(id,price-book-id-1,price-book-id-2)

Request​

Responses​

The list of price books.

Ask External AI